This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206900 - System-config-display does not change the resolution in xorg.conf
System-config-display does not change the resolution in xorg.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 20:01 EDT by Ian Burrell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 19:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-09-17 20:01:07 EDT
Description of problem:

Changing the resolution is system-config-display does not change the resolution
of the X server.

Version-Release number of selected component (if applicable):

system-config-display-1.0.45-

Steps to Reproduce:
1. Run system-config-display
2. Change display size from 1600x1200 to 1280x800
3. Press OK
4. Log out and log in
  
Actual results:

The display size stays the same.  The /etc/X11/xorg.conf has no mention of the
display size.

Expected results:

The display size changes.  The Display SubSection with the desired mode is
written to /etc/X11/xorg.conf.

I had to manually add:

        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x800" "1024x768" "800x600" "640x480"
        EndSubSection

S-c-d did detect the 1280x800 after the manual change.  But it would still not
change the resolution.
Comment 1 Ian Burrell 2006-09-17 20:47:30 EDT
BTW, bug 203220 and 205155 sounds very similar.
Comment 2 Adam Jackson 2006-09-21 19:09:53 EDT
Fixed as of rhpxl 0.35-1.  Please test and reopen if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.